Debian Bug report logs - #213118
dh-make: incorrect configure line generated

version graph

Package: dh-make; Maintainer for dh-make is Craig Small <csmall@debian.org>; Source for dh-make is src:dh-make.

Reported by: Anand Kumria <wildfire@progsoc.uts.edu.au>

Date: Sun, 28 Sep 2003 13:18:27 UTC

Severity: important

Found in version 0.35

Fixed in version dh-make/0.36

Done: Craig Small <csmall@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#213118; Package dh-make. Full text and rfc822 format available.

Acknowledgement sent to Anand Kumria <wildfire@progsoc.uts.edu.au>:
New Bug report received and forwarded. Copy sent to Craig Small <csmall@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Anand Kumria <wildfire@progsoc.uts.edu.au>
To: bugs@debian.org
Subject: dh-make: incorrect configure line generated
Date: Sun, 28 Sep 2003 23:11:06 +1000
Package: dh-make
Version: 0.35
Severity: important

Hi Craig,

Using dh_make to generate debian/rules results in a configure line which
isn't usable:

dpkg-source: building ortp in ortp_0.6.2-1.dsc
 debian/rules build
dh_testdir
# Add here commands to configure the package.
CFLAGS=-Wall -g -O2 ./configure --host=i386-linux --build=i386-linux
--prefix=/usr --mandir=\${prefix}/share/man
--infodir=\${prefix}/share/info
/bin/sh: line 1: -g: command not found
make: *** [config.status] Error 127

The CFLAG variable needs to be quoted if the elements contains spaces,
the following patch should do the trick.

--- /usr/bin/dh_make    2003-09-24 15:46:31.000000000 +1000
+++ ./dh_make   2003-09-28 23:02:59.000000000 +1000
@@ -413,7 +413,7 @@
   $CONFIGURE="config.status: configure\n".
              "\tdh_testdir\n".
                         "\t# Add here commands to configure the
package.\n".
-                        "\t".'CFLAGS=$(CFLAGS) ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info'."\n";
+                        "\t".'CFLAGS="$(CFLAGS)" ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info'."\n";
   $DPKG_ARCH="# These are used for cross-compiling and for saving the configure script\n".
              "# from having to guess our platform (since we know it already)\n".
                         'DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)'."\n".


Regards,
Anand

-- System Information:
Debian Release: testing/unstable
Architecture: i386
Kernel: Linux caliban 2.4.22 #2 SMP Mon Sep 22 20:19:41 EST 2003 i686
Locale: LANG=C, LC_CTYPE=

Versions of packages dh-make depends on:
ii  debhelper                     4.1.74     helper programs for debian/rules
ii  dpkg-dev                      1.10.15    Package building tools for Debian
ii  make                          3.80-4     The GNU version of the "make" util
ii  perl                          5.8.0-21   Larry Wall's Practical Extraction 

-- no debconf information



Reply sent to Craig Small <csmall@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Anand Kumria <wildfire@progsoc.uts.edu.au>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #10 received at 213118-close@bugs.debian.org (full text, mbox):

From: Craig Small <csmall@debian.org>
To: 213118-close@bugs.debian.org
Subject: Bug#213118: fixed in dh-make 0.36
Date: Wed, 14 Jan 2004 18:17:13 -0500
Source: dh-make
Source-Version: 0.36

We believe that the bug you reported is fixed in the latest version of
dh-make, which is due to be installed in the Debian FTP archive:

dh-make_0.36.dsc
  to pool/main/d/dh-make/dh-make_0.36.dsc
dh-make_0.36.tar.gz
  to pool/main/d/dh-make/dh-make_0.36.tar.gz
dh-make_0.36_all.deb
  to pool/main/d/dh-make/dh-make_0.36_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 213118@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Craig Small <csmall@debian.org> (supplier of updated dh-make package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Thu, 15 Jan 2004 08:56:09 +1100
Source: dh-make
Binary: dh-make
Architecture: source all
Version: 0.36
Distribution: unstable
Urgency: low
Maintainer: Craig Small <csmall@debian.org>
Changed-By: Craig Small <csmall@debian.org>
Description: 
 dh-make    - Debianizing Tool for debhelper
Closes: 211287 212563 213118 213167 215545 223448
Changes: 
 dh-make (0.36) unstable; urgency=low
 .
   * Fixed CFLAGS problem Closes: #211287, #213118, #223448
   * Added manpage.xml.ex Closes: #213167
   * Rearranged so that DEBEMAIL is done before ldap search Closes: #212563
   * Removed policy quote from postinst.ex Closes: #215545
   * Put lintian overrides in
Files: 
 869c5f8b936c6e712ec595ea8a3a41fb 493 devel optional dh-make_0.36.dsc
 5c40f778da65dd0a869ba2b61908af6b 30108 devel optional dh-make_0.36.tar.gz
 09e301a356052342a012586f5c086806 33014 devel optional dh-make_0.36_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.3 (GNU/Linux)

iD8DBQFABcZxx2zlrBLK36URAuFWAJ9ZuXrt9Ly6zijQZu67ELvURkgNbACglz+H
pXEPkDli5lHnQ5FkwHR4w5w=
=KWrY
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 07:44:17 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.